Good While It Lasted Rated 1 out of 5 stars

For a while it did work with 52.x ESR, but now is no longer supported. Fortunately there aren't many sites left that won't play with Firefox and require IE-Tab, but for the few there are, this is a pain - forced to use IE. (I've tried to love Chrome, but still prefer Firefox.) Message sent to IE Tab support went ignored.